package nl.overheid.stelsel.digimelding.actions;

import java.net.URISyntaxException;
import java.util.Map;

/**
 * Interface should be implemented by Actions to be able to run and retrieve the result.
 */
public interface IAction {
    void run(Map<String, String> args) throws URISyntaxException;

    ActionResult getResult();
}
