package nl.overheid.stelsel.digimelding.commands;

import nl.overheid.stelsel.digimelding.actions.IAction;

import java.net.URISyntaxException;

/**
 * Implementing this interface makes sure a an action can be executed with provided arguments.
 */
public interface ICommand {

    void execute() throws URISyntaxException;

    boolean canExecute();

    void addArgument(String key, String value);

    IAction getAction();
}
