package nl.overheid.stelsel.digimelding.marshallers;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.oxm.jaxb.Jaxb2Marshaller;
import org.springframework.stereotype.Component;

/**
 * Marshaller used for Annotatie requests.
 */
@Component
public class AnnotatieMarshaller extends Jaxb2Marshaller {

    public AnnotatieMarshaller(@Value("${default-package-name}") String defaultPackageName){
        setContextPath(defaultPackageName.concat(".annotatie"));
    }
}
