package nl.overheid.stelsel.digimelding.exceptions;

/**
 * Exception thrown to indicate there are invalid keystore settings (for example an invalid password).
 */
public class InvalidKeystoreSettingsException extends Exception {
    public InvalidKeystoreSettingsException() {}

    public InvalidKeystoreSettingsException(String message) {
        super(message);
    }

    public InvalidKeystoreSettingsException(String message, Throwable cause) {
        super(message, cause);
    }
}
