package nl.overheid.stelsel.digimelding.marshallers;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.oxm.jaxb.Jaxb2Marshaller;
import org.springframework.stereotype.Component;

/**
 * Marshaller used for Catalogus requests.
 */
@Component
public class CatalogusMarshaller extends Jaxb2Marshaller {

    public CatalogusMarshaller(@Value("${default-package-name}") String defaultPackageName){
        setContextPath(defaultPackageName.concat(".catalogus"));
    }
}
